NETStrut Struct Reference

`#include <netwm_def.h>`

## Public Member Functions

| NETStrut ()

## Public Attributes

int | left
int | right
int | top
int | bottom

## Detailed Description

Deprecated:
  use NETExtendedStrut

Simple strut class for NET classes.

This class is a convenience class defining a strut with left, right, top and bottom border values. The existence of this class is to keep the implementation from being dependant on a separate framework/library. See the _NET_WM_STRUT property in the NETWM spec.

Definition at line 195 of file netwm_def.h.

## Constructor & Destructor Documentation

NETStrut::NETStrut | ( |  | ) |

inline

Constructor to initialize this struct to 0,0,0,0.

Definition at line 199 of file netwm_def.h.

## Member Data Documentation

int NETStrut::bottom

Bottom border of the strut.

Definition at line 219 of file netwm_def.h.

int NETStrut::left

Left border of the strut.

Definition at line 204 of file netwm_def.h.

int NETStrut::right

Right border of the strut.

Definition at line 209 of file netwm_def.h.

int NETStrut::top

Top border of the strut.

Definition at line 214 of file netwm_def.h.

The documentation for this struct was generated from the following file:

- netwm_def.h

KDE Home | KDE Accessibility Home | Description of Access Keys